'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (Vue, options) {
  var _ = Vue.util;
  var store = options.store;
  // bring redux to revue
  _.defineReactive(Vue.prototype, '$revue', store);
  // listen for state changes
  _.defineReactive(Vue.prototype, '$subscribe', function () {
    var _this = this;

    this.unsubscriber = [];

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    args.forEach(function (prop) {
      var currentValue = undefined;
      var handleChange = function handleChange() {
        var previousValue = currentValue;
        currentValue = store.getState()[prop];
        if (previousValue !== currentValue) {
          _this.$set(prop, currentValue);
        }
      };
      _this.unsubscriber.push(store.subscribe(handleChange));
    });
  });
  _.defineReactive(Vue.prototype, '$unsubscribe', function () {
    this.unsubscriber.forEach(function (un) {
      return un();
    });
  });
  // global mixin
  Vue.mixin({
    beforeDestroy: function beforeDestroy() {
      if (this.unsubscriber && this.unsubscriber.length > 0) {
        this.$unsubscribe();
      }
    }
  });
};
